function b = LoadVec1D(x,f,kappa,g)
J = length(x)-1;
b = zeros(J+1,1);
for i = 1:J
    h = x(i+1) - x(i);
    b(i) = b(i) + f(x(i))*h/2;
    b(i+1) = b(i+1) + f(x(i+1))*h/2;
end
b(1) = b(1) + kappa(1)*g(1);
b(J+1) = b(J+1) + kappa(2)*g(2);