function A = StiffMat1D(x,a,kappa)
J = length(x)-1;
A = zeros(J+1,J+1);
for i = 1:J
    h = x(i+1) - x(i);
    xmid = (x(i+1) + x(i))/2;
    amid = a(xmid);
    A(i,i) = A(i,i) + amid/h;
    A(i,i+1) = A(i,i+1) - amid/h;
    A(i+1,i) = A(i+1,i) - amid/h;
    A(i+1,i+1) = A(i+1,i+1) + amid/h;
end
A(1,1) = A(1,1) + kappa(1);
A(J+1,J+1) = A(J+1,J+1) + kappa(2);