function M = MassMat1D(x)
J = length(x)-1; % lepeskozok szama
M = zeros(J+1,J+1); % a tomegmatrix
for i = 1:J % vegigmegyunk az elemeken
    h = x(i+1) - x(i); % az intervallum hossza
    M(i,i) = M(i,i) + h/3;
    M(i,i+1) = M(i,i+1) + h/6;
    M(i+1,i) = M(i+1,i) + h/6;
    M(i+1,i+1) = M(i+1,i+1) + h/3;
end